Neue Applikation für Android Projekt Blank Aktivität nicht erstellen

? Nikolius @ | Original: StackOverFlow
---

Ich bin noch neu in android Entwicklung und gerade beschlossen zu lernen. aber ich treffen ein Problem, das mich fahren verrückt diese paar Stunden .. ich möchte nur ein neues Projekt mit dieser Einstellung erstellen

Neue Applikation für Android Projekt Blank Aktivität nicht erstellen

das Problem ist, ich kann neue leere Aktivität erstellen mit ihm, er sagt, dass es ein Build-Ziel API-Version von mindestens 14 erfordert, und die aktuelle Version 8

Neue Applikation für Android Projekt Blank Aktivität nicht erstellen

Ich will einfach nur, um zu versuchen eine App, die von Android 2.2 (API 8) weiter unterstützt zu bauen .. ist, dass gerade jetzt nicht möglich, eine Android 2.2 kompatiblen Anwendungen mit leeren Aktivitätsvorlage zu erstellen ? so, um leere Aktivitätsvorlage verwenden i muss Android 4.0 (API 14) verwenden ? stimmt das?

---

Top 5 Antwort

1Shivansh Saxena @

Folgen Sie diesem Link Ich denke, es ist der beste Ort, android von Grund lernen   https://developer.android.com/training/basics/firstapp/index.html?hl=it

2ojonugwa ochalifu @

Ändern Sie den erforderlichen Mindest SDK bis 9 und die Ziel SDK bis 18

3user3439968 @

Es ist neues Feature von ADT 22.6.2

Selbst in "None" Thema ADT ( 22.6.2 ) zu erstellen "Fragment -Layout "

Es gibt vier Möglichkeiten :

Versuchen Sie, "Ziel" und "Übersetzen " nach API 14 oder höher ändern. Aber Sie müssen dann entfernen Sie alle Einträge von "Fragment -Layouts "

Deaktivieren Sie "Create Aktivität" Kontrollkästchen, und erstellen Sie Aktivität manuell . Gute Howto :  http://stackoverflow.com/questions/2337874/best-way-to-add-activity-to-an-android-project-in-eclipse

Downgrade auf 22.3.0 beispiels

Versuchen Sie, Vorlagen ändern. Im Link unten finden howto .

Ich benutze dritten Weg für meine Anwendungen mit APIs unteren 14 verschiedenen Verzeichnissen habe ich 22.3.0 und 22.6.2 installiert

Es ist in 22.6.2 einige andere Bugs mit leeren Dateien und Probleme mit AVD. Neue Version von ADT wirklich buggy ...

Schauen Sie auch diesen Links :

http://stackoverflow.com/questions/22289164/adt-blank-activity-created-with-fragment-activity

http://stackoverflow.com/questions/22278479/eclipse-doesnt-generate-mainactivity-java-activity-main-xml

und die Suche, yep )

http://stackoverflow.com/search?q=adt+22.6

Hinzugefügt einige neue Möglichkeiten .

Wie ich es jetzt :

You can create project in 22.3.0 or lower. Then open it in 22.6 or greater. You can create project in 22.3.0 or lower and leave it blank. Then in 22.6 or greater you can use this blank project as template. Just copy this template-project and past it with new name as you new-project in Eclipse workspase.

Enjoy! )

4user3459475 @

es geht um knifflige Gebäude für eine solche Version sein, können Sie Sie mindestens SDK unter yoru Wunsch verlassen . Dennoch müssen Sie max zu erhöhen, auch wenn Ihr Mindest ist etwas weniger als 15, die ADK baut nun eine zusätzliche Ordner ( neue Slideshows ) In Wahrheit ist die neue Version des ADT ist ärgerlich, ich bin gerade erst anfangen, und jetzt werden Sie sehen, sie haben erzwang die Verwendung von Fragmenten .

5Harison Silva @

Ich fand heraus, dass wir leer Aktivität statt Blank Aktivität zu verwenden. Jetzt in Leer ist ein Fragment, das Layout erstellt und R.java aktualisiert.